opencv: cv::SurfDescriptorExtractor Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes

# cv::SurfDescriptorExtractor Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::SurfDescriptorExtractor:

List of all members.

## Public Member Functions
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | read (const FileNode &fn)
| SurfDescriptorExtractor (int nOctaves=4, int nOctaveLayers=2, bool extended=false)
virtual void | write (FileStorage &fs) const
## Protected Member Functions
virtual void | computeImpl (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const
## Protected Attributes
SURF | surf

## Constructor & Destructor Documentation

cv::SurfDescriptorExtractor::SurfDescriptorExtractor | ( | int | nOctaves = `4`,
|  | int | nOctaveLayers = `2`,
|  | bool | extended = `false`
| ) |  |

## Member Function Documentation

virtual void cv::SurfDescriptorExtractor::computeImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const`[protected, virtual]`

Implements cv::DescriptorExtractor.

virtual int cv::SurfDescriptorExtractor::descriptorSize | ( | ) | const`[virtual]`

Implements cv::DescriptorExtractor.

virtual int cv::SurfDescriptorExtractor::descriptorType | ( | ) | const`[virtual]`

Implements cv::DescriptorExtractor.

virtual void cv::SurfDescriptorExtractor::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::DescriptorExtractor.

virtual void cv::SurfDescriptorExtractor::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::DescriptorExtractor.

## Member Data Documentation

SURF cv::SurfDescriptorExtractor::surf`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines